Skip to content

Failover priorities

All operations require authentication.

5 operationsv1/vrack/{serviceName}
Agent setup

List priorities. Returns the identifiers of the 3-AZ failover priorities of the vRack.Production

GET
/1.0/vrack/{serviceName}/publicRoutingPriority

Path parameters

serviceName
required
string

The internal name of your vrack

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/publicRoutingPriority \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "00000000-0000-0000-0000-000000000000"]

Get a priorityProduction

GET
/1.0/vrack/{serviceName}/publicRoutingPriority/{priorityId}

Get a priority. Returns the region, the type, default or custom, and the priority of each availability zone.

Path parameters

priorityId
required
stringuuid

Public routing priority identifier

serviceName
required
string

The internal name of your vrack

Response

200publicRoutingPrioritysuccessful operation
availabilityZones
PublicRoutingDefinition[]

Priority definition per availability zone

priorityId
read-only
stringuuid

Public routing priority identifier

region
read-only
string

Name of the region where public routing priority is defined

type
read-only
PublicRoutingPriorityTypeEnum

Public routing priority type

Valuescustomdefault
vrack
read-only
string

vrack name

Example uses priorityId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/publicRoutingPriority/{priorityId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "availabilityZones": [ { "name": "string", "priority": 0 } ], "priorityId": "00000000-0000-0000-0000-000000000000", "region": "string", "type": "custom", "vrack": "string"}

Create a priorityProduction

POST
/1.0/vrack/{serviceName}/publicRoutingPriority

Create a priority.

This endpoint will create a new 'custom' routing priority.

You can create a new 'custom' routing priority if you have an additional IP block in your vRack in the same region or not.

You do not have to create a 'custom' routing priority for RTvRack 3AZ to work. If you add an additional IP block in a 3AZ region without any routing priority and any additional IP block, a 'default' routing priority will automatically be chosen for you.

Priorities must be set to 1, 2 or 3 for each availability zone.

1 stands for the availability zone with highest priority, which will handle traffic by default.

2 is the availability zone with second-highest priority, which will handle traffic as soon as priority 1 availability zone is not available.

3 is the availability zone with lowest priority, it will handle traffic if neither the availability zone with priority 1 nor the availability zone with priority 2 are available.

All availability zones in a 3AZ region must be set in the payload in order for the 'custom' routing priority to be created.

Path parameters

serviceName
required
string

The internal name of your vrack

Request body (required)

availabilityZones
required
PublicRoutingDefinition[]

Priority definition, every region's availability zones MUST be listed

region
required
string

Name of the region where Public routing priority is defined

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/publicRoutingPriority \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}

Update a priorityProduction

PUT
/1.0/vrack/{serviceName}/publicRoutingPriority/{priorityId}

Update a priority. Updates the priority of each availability zone of a custom failover priority. A default one cannot be updated: create a custom one first.

Path parameters

priorityId
required
stringuuid

Public routing priority identifier

serviceName
required
string

The internal name of your vrack

Request body (required)

availabilityZones
PublicRoutingDefinition[]

Priority definition per availability zone

priorityId
read-only
stringuuid

Public routing priority identifier

region
read-only
string

Name of the region where public routing priority is defined

type
read-only
PublicRoutingPriorityTypeEnum

Public routing priority type

Valuescustomdefault
vrack
read-only
string

vrack name

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses priorityId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/publicRoutingPriority/{priorityId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}

Delete a priorityProduction

DELETE
/1.0/vrack/{serviceName}/publicRoutingPriority/{priorityId}

Delete a priority. Deletes a custom failover priority. If Additional IP blocks remain in the region, a default priority is generated from the infrastructure usage.

Path parameters

priorityId
required
stringuuid

Public routing priority identifier

serviceName
required
string

The internal name of your vrack

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses priorityId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/publicRoutingPriority/{priorityId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}